Subject: Re: Regarding BGP Router ID

From: Danny McPherson <[email-masked]>
Date: Sat, 01 Mar 2003 00:26:04 -0700

> The IBGP peering is between Y & Z.  For the VRFs y is attached to, all the 
> prefixes get advertised to Z with nexthop of Y. Now the point that i am 
> raising is in the OPEN messages to x and Z, y sends Y which turns out to be 
> the next hop for the VPNIPv4 prefixes. Hence i said that there is a potential 
> for security issues in the case of VPNs where we want the prefixes as well
> as the nexthops protected. 

Not sure what your definition of "protected" is, but anyways, there's NO 
reason the BGP Identifier MUST be associated with any NEXT_HOP (i.e., in 
your example above there's no requirement that y set the value of the 
NEXT_HOP to Y when advertising prefixes to x or Z, or even that Y be the 
BGP Identifier for Y).  

The draft Enke cited takes this one step further and allows near arbitrary 
selection of the value, and requires uniqueness only within an AS (or AS 
Confederation).

-danny